TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

DistinctDegreeFactorization ( elt-alg^pol f ) -> seq()

### Optional Arguments

Degree | elt-ord^rat |  |

### Description

<shortdoc> The distinct degree factorization of the univariate polynomial f over a finite field; returned as a sequence of pairs <d, g> with g the product of the degree-d irreducible factors of f. </shortdoc>

### Examples

kx :=PolynomialAlgebra( FiniteField(7) ); x_f:= kx.1^5 + 2*kx.1^4 + 5*kx.1^3 + 2*kx.1^2 + kx.1 + 1; DistinctDegreeFactorization(x_f);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack